<%@ taglib prefix="shiro" uri="http://shiro.apache.org/tags" %>
<%@ page language="java" pageEncoding="UTF-8"  contentType="text/html; charset=UTF-8"%>
<%
    String basePath = request.getContextPath();
%>
<script type="text/javascript" src="<%=basePath %>/resource/plugins/jquery/jquery-2.1.4.min.js"></script>
<script type="text/javascript" src="<%=basePath %>/resource/plugins/sweetalert.min.js"></script>
<script type="text/javascript">
    function checkAuthentication(){
        var isAuthenticated = false;
        <shiro:authenticated>
        isAuthenticated = true;
        </shiro:authenticated>
        if(isAuthenticated){
            return true;
        }
        location.href = "<%=basePath%>/open/account/login.htm";
        return false;
    }

    window.alert = function(name){
        var iframe = document.createElement("IFRAME");
        iframe.style.display="none";
        iframe.setAttribute("src", 'data:text/plain,');
        document.documentElement.appendChild(iframe);
        window.frames[0].window.alert(name);
        iframe.parentNode.removeChild(iframe);
    };
</script>